Name:           linkchecker-gui
Version:        9.3.3
Release:        alt1.git20171127
License:        GPLv2
Group:		Networking/WWW
Summary:        GUI program for LinkChecker

Requires:       linkchecker = %{version}
Requires:	python >= 2.7
Requires:       python-module-PyQt4
Requires:       python-module-qscintilla2-qt4

URL:            https://linkcheck.github.io/linkchecker-gui/
Source0:        LinkChecker-GUI-9.3.3.tar.gz
# qt4-devel is for qcollectiongenerator (HTML documentation)
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-dev
BuildRequires:  python-module-setuptools
BuildRequires:  libqt4-devel

AutoReqProv:	no

%description  
This package contains a GUI program for LinkChecker.

%prep
%setup -qn LinkChecker-GUI-%{version}

%build
make -C doc/html/
/usr/bin/python2.7 setup.py build


%install
#python setup.py install -O1 --skip-build --root=%{buildroot}
PYTHONDONTWRITEBYTECODE= /usr/bin/python2.7 setup.py install -O1 --skip-build --root=%{buildroot} 
install -pDm644 doc/html/logo64x64.png %{buildroot}%{_datadir}/pixmaps/linkchecker-gui.png
install -pDm644  doc/html/lccollection.qhc %{buildroot}%{_datadir}/linkchecker/lccollection.qhc
install -pDm644  doc/html/lcdoc.qch %{buildroot}%{_datadir}/linkchecker/lcdoc.qch

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/linkchecker-gui.desktop


%files
%{_bindir}/linkchecker-gui
%{_datadir}/applications/linkchecker-gui.desktop
%{_datadir}/linkchecker/lccollection.qhc
%{_datadir}/linkchecker/lcdoc.qch
%{_datadir}/pixmaps/linkchecker-gui.png


%changelog
* Mon Nov 27 2017 Anton Shevtsov <shevtsov.anton@gmail.com> 9.3-3
- build  from git 2017-11-27, f7f4e6c7df0a3061b7208edca8f464855f24a692
